#!/usr/bin/make -rf

ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
configure += -DFMT_TEST=OFF
endif

ifneq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
configure += -DFMT_DOC=OFF
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_POSITION_INDEPENDENT_CODE=ON \
		--toolchain=$(DEB_HOST_ARCH)-base \
		$(configure)

ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
override_dh_auto_build:
	dh_auto_build -- all doc
endif
